# Install YetAnotherToDoList

## Install via `go install`

> ⚠️ no commit & version information provided

```bash
go install somepi.ddns.net/gitea/gilex-dev/YetAnotherToDoList@latest
```

...or specify the installation location by adding `GOBIN=<installation directory>`

## Install from git repository

Requirements:

- go 1.20
- git
- GNU make

```bash
git clone https://somepi.ddns.net/gitea/gilex-dev/YetAnotherToDoList.git
cd YetAnotherToDoList
go mod tidy # optional
make build
```

To customize your build, you can run `make` with these environment Variables (on the same line):

```
INSTALL_DIR=<installation directory>
BUILD_FLAGS=<go build flags>
RUN_FLAGS=<cli arguments for YetAnotherToDoList>
```

## Install from pre-build binary

There are currently no pre-build binaries available

## Add shell completion

YetAnotherToDoList must be in your `PATH` for this to work.

### Bash

```bash
source <(YetAnotherToDoList completion bash)
```

For other shells or more info, see `YetAnotherToDoList help completion <bash|zsh|fish|powershell>`

## Uninstall

Run `make uninstall` or

```bash
rm $HOME/.local/bin/YetAnotherToDoList # replace with your installation path
```

> Don't forget to delete the `.log`, `.yaml` and `.sqlite3` files if you don't need them any more.

### Remove shell completion

#### Bash

```bash
complete -r YetAnotherToDoList
```
